# $Revision: 1.1.2.8 $, $Date: 2006/11/01 16:22:57 $
Summary:	LZMA Encoder/Decoder
Summary(pl):	Koder/Dekoder LZMA
Name:		lzma
Version:	4.43
Release:	6
License:	CPL/LGPL
Group:		Applications/Archiving
Source0:	http://dl.sourceforge.net/sevenzip/%{name}443.tar.bz2
# Source0-md5:	c4e1b467184c7cffd4371c74df2baf0f
Patch0:		%{name}-quiet.patch
Patch1:		%{name}427_zlib.patch
Patch2:		%{name}-shared.patch
Patch3:		%{name}-lzmalib.patch
URL:		http://www.7-zip.org/sdk.html
BuildRequires:	libstdc++-devel
# does not need -libs, due apps being not linked with shared lib
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LZMA is default and general compression method of 7z format in 7-Zip
program. LZMA provides high compression ratio and very fast
decompression, so it is very suitable for embedded applications. For
example, it can be used for ROM (firmware) compressing.

LZMA features:

- Compressing speed: 500 KB/s on 1 GHz CPU
- Decompressing speed:
  - 8-12 MB/s on 1 GHz Intel Pentium 3 or AMD Athlon.
  - 500-1000 KB/s on 100 MHz ARM, MIPS, PowerPC or other simple RISC
    CPU.
- Small memory requirements for decompressing: 8-32 KB + dictionary
  size
- Small code size for decompressing: 2-8 KB (depending from speed
  optimizations)

%description -l pl
LZMA jest domylnym i oglnym algorytmem kompresji formatu 7z
stosowanego przez 7-Zip. LZMA zapewnia wysoki stopie kompresji i
bardzo szybk dekompresj, wic nadaje si do zastosowa osadzonych.
Przykadowo, moe by uyty do kompresji ROM-u (firmware'u).

Cechy LZMA:

- Szybko kompresowania: 500 KB/s na 1 GHz procesorze,
- Szybko dekompresowania:
  - 8-12 MB/s na 1 GHz Pentium 3 lub Athlonie,
  - 500-1000 KB/s na 100 MHz procesorach ARM, MIPS, PowerPC lub innych
    prostych RISC-ach,
- Maa ilo pamici potrzebna do dekompresowania: 8-32 KB + rozmiar
  sownika,
- May rozmiar kodu dekompresujcego: 2-8 KB (w zalenoci od opcji
  optymalizacji).

%package libs
Summary:	LZMA shared library
Summary(pl):	Biblioteka LZMA
Group:		Libraries

%description libs
LZMA shared library

%package devel
Summary:	LZMA library
Summary(pl):	Biblioteka LZMA
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
LZMA Library.

%description devel -l pl
Biblioteka LZMA.

%package static
Summary:	LZMA static library
Summary(pl):	Biblioteka LZMA
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static LZMA Library.

%prep
%setup -q -c
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
cd C/7zip/Compress/LZMA_Alone
%{__make} -f makefile.gcc \
	CXX="%{__cxx}" \
	CXX_C="%{__cc}" \
	CFLAGS="%{rpmcflags} -c -I ../../.." \
	LDFLAGS="%{rpmldflags}" \
	LIB="-lm"

cat ../LZMA/* > test1
cat lzma *.o > test2
tar cf test3 ../../../../*
./lzma e test1 test4
./lzma e test2 test5
./lzma e test3 test6
./lzma d test4 test7
./lzma d test5 test8
./lzma d test6 test9
cmp test1 test7
cmp test2 test8
cmp test3 test9

%{__make} -f makefile.gcc clean

%{__make} -f makefile.gcc \
	CXX="%{__cxx}" \
	CXX_C="%{__cc}" \
	CFLAGS="%{rpmcflags} -c -I ../../.." \
	LDFLAGS="%{rpmldflags}"

cd ../LZMA_Lib
%{__make} -f makefile \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcflags} -c -fpic"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_includedir},%{_libdir}}

install C/7zip/Compress/LZMA_Alone/lzma $RPM_BUILD_ROOT%{_bindir}
install C/7zip/Compress/LZMA_Lib/lzmalib.h $RPM_BUILD_ROOT%{_includedir}
install C/7zip/Compress/LZMA_Lib/liblzma.a $RPM_BUILD_ROOT%{_libdir}
install C/7zip/Compress/LZMA_Lib/liblzma.so.*.*.* $RPM_BUILD_ROOT%{_libdir}
ln -s $(cd C/7zip/Compress/LZMA_Lib; echo liblzma.so.*.*.*) $RPM_BUILD_ROOT%{_libdir}/liblzma.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc history.txt lzma.txt
%attr(755,root,root) %{_bindir}/*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblzma.so.*.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/lzmalib.h
%{_libdir}/liblzma.so

%files static
%defattr(644,root,root,755)
%{_libdir}/liblzma.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: lzma.spec,v $
Revision 1.1.2.8  2006/11/01 16:22:57  glen
- -fpic for amd64

Revision 1.1.2.7  2006/11/01 13:53:34  glen
- merged changes from HEAD

Revision 1.1.2.6  2006/10/30 21:13:14  glen
- corrected -devel deps

Revision 1.1.2.5  2006/10/30 21:12:52  glen
- inner deps

Revision 1.1.2.4  2006/10/30 21:10:57  glen
- created -libs and -static

Revision 1.1.2.3  2006/10/30 20:42:29  glen
- merged changes from HEAD (includes liblzma.a now)

Revision 1.1.2.2  2006/10/30 20:35:53  glen
- adapter

Revision 1.1.2.1  2006/06/14 22:04:51  areq
- 4.43

Revision 1.1  2004/10/21 21:01:16  wolf
- lzma algorithm of 7zip fame implementation capable of reading from
  stdin/writing to stdout
